using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.ServiceModel;
using RDH.Data.Models;

namespace RDH.Data.BLL
{
	public partial class RoleBLL  : BaseOrclBLL<Role> , IRoleBLL
	{

         public RoleBLL() : base()
        {
            AliasTableName = "r";
        }

        internal override String TABLE_NAME { get { return "ROLE"; } }//TB_NAME
        internal override string ENTITY_NAME { get { return "Role"; } }
        internal override String KEY_COLUMN  { get { return "KEY";} }//KEY_COLUMN
        

        internal override void InitMaps()
        {
            ColumnPropMaps.Add("KEY", "Key");
            ColumnPropMaps.Add("NAME", "Name");
            ColumnPropMaps.Add("DESCRIPTION", "Description");
            ColumnPropMaps.Add("IS_ACTIVE", "IsActive");
            ColumnPropMaps.Add("CREATE_BY", "CreateBy");
            ColumnPropMaps.Add("CREATE_TIME", "CreateTime");
            ColumnPropMaps.Add("FLAG", "Flag");
            ColumnPropMaps.Add("CLIENT_TIME", "ClientTime");
            ColumnPropMaps.Add("SERVER_TIME", "ServerTime");
            ColumnPropMaps.Add("EXT01", "Ext01");
            ColumnPropMaps.Add("EXT02", "Ext02");
            ColumnPropMaps.Add("EXT03", "Ext03");
            ColumnPropMaps.Add("EXT04", "Ext04");
            ColumnPropMaps.Add("EXT05", "Ext05");
            ColumnPropMaps.Add("EXT06", "Ext06");
            ColumnPropMaps.Add("EXT07", "Ext07");
            ColumnPropMaps.Add("EXT08", "Ext08");
            ColumnPropMaps.Add("EXT09", "Ext09");
            ColumnPropMaps.Add("EXT10", "Ext10");//COLUMN_MAPS
        }

         internal override object GetParam(Role role)
        {
           return new {
            
                    Key = role.Key,
                    Name = role.Name,
               Description = role.Description,
                    IsActive = role.IsActive,
                    CreateBy = role.CreateBy,
                    CreateTime = role.CreateTime,
                    Flag = role.Flag,
                    ClientTime = role.ClientTime,
                    ServerTime = role.ServerTime,
                    Ext01 = role.Ext01,
                    Ext02 = role.Ext02,
                    Ext03 = role.Ext03,
                    Ext04 = role.Ext04,
                    Ext05 = role.Ext05,
                    Ext06 = role.Ext06,
                    Ext07 = role.Ext07,
                    Ext08 = role.Ext08,
                    Ext09 = role.Ext09,
                    Ext10 = role.Ext10,   //Params
            };
        }
 
         

      
    }

}